Accept terms and conditions for a user
curl --request POST \
--url https://app.sandbox.rio.trade/api/users/{id}/terms/accept \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/terms/accept"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}/terms/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}/terms/accept",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}/terms/accept"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sandbox.rio.trade/api/users/{id}/terms/accept")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}/terms/accept")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"platformFeeRanges": {
"MX": {
"buy": [
{}
],
"sell": [
{}
]
},
"PE": {
"buy": [
{}
],
"sell": [
{}
]
},
"CO": {
"buy": [
{}
],
"sell": [
{}
]
}
},
"createdAt": "2025-07-16T19:24:51.284Z",
"type": "business",
"phoneNumber": "+525561310992",
"email": "email@testing.test",
"attributes": [
"broker"
],
"address": {
"street1": "Amsterdam 76",
"street2": null,
"city": "Mexico City",
"state": "CDMX",
"country": "MX",
"postalCode": "06100"
},
"brokerId": "6757546b4c5d19bf3cd7b09c",
"onboarding": {
"country": "MX",
"status": "review",
"hasAcceptedTerms": true,
"aipriseUserVerificationSessionUrl": "https://verify-sandbox.aiprise.com/verification_session_id=bb321d1a-8037-44bf-a520-c9e2995fbb4d"
},
"businessData": {
"businessName": "Company Name"
},
"individualData": {
"firstName": "Name",
"middleName": "Middle Name",
"lastName": "Name",
"secondLastName": "Last Name"
},
"id": "6877fc83509bb1423ee38202"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}Users API
Accept terms and conditions for a user
POST
/
api
/
users
/
{id}
/
terms
/
accept
Accept terms and conditions for a user
curl --request POST \
--url https://app.sandbox.rio.trade/api/users/{id}/terms/accept \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/terms/accept"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}/terms/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}/terms/accept",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}/terms/accept"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sandbox.rio.trade/api/users/{id}/terms/accept")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}/terms/accept")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"platformFeeRanges": {
"MX": {
"buy": [
{}
],
"sell": [
{}
]
},
"PE": {
"buy": [
{}
],
"sell": [
{}
]
},
"CO": {
"buy": [
{}
],
"sell": [
{}
]
}
},
"createdAt": "2025-07-16T19:24:51.284Z",
"type": "business",
"phoneNumber": "+525561310992",
"email": "email@testing.test",
"attributes": [
"broker"
],
"address": {
"street1": "Amsterdam 76",
"street2": null,
"city": "Mexico City",
"state": "CDMX",
"country": "MX",
"postalCode": "06100"
},
"brokerId": "6757546b4c5d19bf3cd7b09c",
"onboarding": {
"country": "MX",
"status": "review",
"hasAcceptedTerms": true,
"aipriseUserVerificationSessionUrl": "https://verify-sandbox.aiprise.com/verification_session_id=bb321d1a-8037-44bf-a520-c9e2995fbb4d"
},
"businessData": {
"businessName": "Company Name"
},
"individualData": {
"firstName": "Name",
"middleName": "Middle Name",
"lastName": "Name",
"secondLastName": "Last Name"
},
"id": "6877fc83509bb1423ee38202"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}v1 (legacy). This page documents the API before the v2 update. The v1
format is not enabled for new accounts and must be enabled on your account by
your account manager. New integrations should use the
current documentation. To update an existing integration,
follow the migration guide.
Authorizations
Path Parameters
ID of the user.
Example:
"66562bc04fe8bf83c577c178"
Response
OK
Show child attributes
Show child attributes
Creation date of the user.
Example:
"2025-07-16T19:24:51.284Z"
Type of the user.
Example:
"business"
Phone number of the user.
Example:
"+525561310992"
Email of the user.
Example:
"email@testing.test"
User attributes
Example:
["broker"]
Show child attributes
Show child attributes
ID of the broker.
Example:
"6757546b4c5d19bf3cd7b09c"
Show child attributes
Show child attributes
Business data (for business users only).
Show child attributes
Show child attributes
Individual data (for individual users only).
Show child attributes
Show child attributes
ID of the user.
Example:
"6877fc83509bb1423ee38202"